#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Display a diagram with blockdiag
# 
# [blockdiag](http://blockdiag.com/) is module which plots diagrams.

# In[1]:


from pyensae.graphhelper import draw_diagram


# In[2]:


img = draw_diagram("""
        blockdiag {
            A -> B -> C -> D;
            A -> E -> F -> G;
        }
        """)
img


# The page [blockdiag - simple block-diagram image generator](http://blockdiag.com/en/blockdiag/index.html) explains the syntax used to describe a graph.

# In[3]:


draw_diagram("""
blockdiag admin {
   A -> B -> C -> D;
   A -> E;
   A -> H;

   // A and B belong to first group.
   group {
      A; B;
   }
}
""")


# In[4]: